Loading...
Searching...
No Matches
robottestingframework::FixtureEvents Class Referenceabstract

class FixtureEvents More...

`#include <robottestingframework/FixtureManager.h>`

Inheritance diagram for robottestingframework::FixtureEvents:
[legend]

## Public Member Functions

virtual void | fixtureCollapsed (TestMessage reason)=0
| fixtureCollapsed is called by a fixture manager to inform the test suite that the corresponding fixture has been collapsed.

## Detailed Description

class FixtureEvents

Examples
  simple_fixture.cpp.

Definition at line 35 of file FixtureManager.h.

## Member Function Documentation

## fixtureCollapsed()

virtual void robottestingframework::FixtureEvents::fixtureCollapsed | ( | TestMessage | reason | ) |

pure virtual

fixtureCollapsed is called by a fixture manager to inform the test suite that the corresponding fixture has been collapsed.

Parameters

  reason | An error message indicates the reason for collapsing the fixture.

Implemented in robottestingframework::TestSuite.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/FixtureManager.h